import { Map } from 'tsfun';
import { TransientFormDefinition } from '..';
import { Relation } from '../../model/configuration/relation';
import { TransientCategoryDefinition } from '../model/category/transient-category-definition';
import { TransientFieldDefinition } from '../model/field/transient-field-definition';
import { LanguageConfigurations } from '../model/language/language-configurations';
export declare function applyLanguagesToCategory(languageConfigurations: LanguageConfigurations, categoryDefinition: TransientCategoryDefinition): void;
export declare function applyLanguagesToForm(languageConfigurations: LanguageConfigurations, formDefinition: TransientFormDefinition, parentCategoryName?: string, parentFormName?: string): void;
export declare function applyLanguagesToFields(languageConfigurations: LanguageConfigurations, fields: Map<TransientFieldDefinition>, section: 'fields' | 'commons'): void;
export declare function applyLanguagesToRelations(languageConfigurations: LanguageConfigurations, relations: Array<Relation>): void;
