"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigReader = void 0;
/* eslint-disable @typescript-eslint/no-explicit-any */
const tsfun_1 = require("tsfun");
const Config_AbbirCella_json_1 = __importDefault(require("../../../config/Config-AbbirCella.json"));
const Config_AlUla_json_1 = __importDefault(require("../../../config/Config-AlUla.json"));
const Config_Ayamonte_json_1 = __importDefault(require("../../../config/Config-Ayamonte.json"));
const Config_Boha_json_1 = __importDefault(require("../../../config/Config-Boha.json"));
const Config_Bourgou_json_1 = __importDefault(require("../../../config/Config-Bourgou.json"));
const Config_Campidoglio_json_1 = __importDefault(require("../../../config/Config-Campidoglio.json"));
const Config_Castiglione_json_1 = __importDefault(require("../../../config/Config-Castiglione.json"));
const Config_Default_json_1 = __importDefault(require("../../../config/Config-Default.json"));
const Config_Elephantine_json_1 = __importDefault(require("../../../config/Config-Elephantine.json"));
const Config_Gadara_json_1 = __importDefault(require("../../../config/Config-Gadara.json"));
const Config_GoebekliTepe_json_1 = __importDefault(require("../../../config/Config-GoebekliTepe.json"));
const Config_Heliopolis_json_1 = __importDefault(require("../../../config/Config-Heliopolis.json"));
const Config_Kalapodi_json_1 = __importDefault(require("../../../config/Config-Kalapodi.json"));
const Config_KarthagoCircus_json_1 = __importDefault(require("../../../config/Config-KarthagoCircus.json"));
const Config_Kephissostal_json_1 = __importDefault(require("../../../config/Config-Kephissostal.json"));
const Config_KGR_json_1 = __importDefault(require("../../../config/Config-KGR.json"));
const Config_Meninx_json_1 = __importDefault(require("../../../config/Config-Meninx.json"));
const Config_Milet_json_1 = __importDefault(require("../../../config/Config-Milet.json"));
const Config_MonTur_json_1 = __importDefault(require("../../../config/Config-MonTur.json"));
const Config_Olympia_json_1 = __importDefault(require("../../../config/Config-Olympia.json"));
const Config_Pergamon_json_1 = __importDefault(require("../../../config/Config-Pergamon.json"));
const Config_Postumii_json_1 = __importDefault(require("../../../config/Config-Postumii.json"));
const Config_Selinunt_json_1 = __importDefault(require("../../../config/Config-Selinunt.json"));
const Config_SelinuntAkropolis_json_1 = __importDefault(require("../../../config/Config-SelinuntAkropolis.json"));
const Config_SelinuntBauteile_json_1 = __importDefault(require("../../../config/Config-SelinuntBauteile.json"));
const Config_SudanHeritage_json_1 = __importDefault(require("../../../config/Config-SudanHeritage.json"));
const Config_Uruk_json_1 = __importDefault(require("../../../config/Config-Uruk.json"));
const Language_de_json_1 = __importDefault(require("../../../config/Core/Language.de.json"));
const Language_en_json_1 = __importDefault(require("../../../config/Core/Language.en.json"));
const Language_es_json_1 = __importDefault(require("../../../config/Core/Language.es.json"));
const Language_it_json_1 = __importDefault(require("../../../config/Core/Language.it.json"));
const Language_fr_json_1 = __importDefault(require("../../../config/Core/Language.fr.json"));
const Language_tr_json_1 = __importDefault(require("../../../config/Core/Language.tr.json"));
const Language_uk_json_1 = __importDefault(require("../../../config/Core/Language.uk.json"));
const Language_AbbirCella_en_json_1 = __importDefault(require("../../../config/Language-AbbirCella.en.json"));
const Language_AbbirCella_fr_json_1 = __importDefault(require("../../../config/Language-AbbirCella.fr.json"));
const Language_AlUla_en_json_1 = __importDefault(require("../../../config/Language-AlUla.en.json"));
const Language_Ayamonte_de_json_1 = __importDefault(require("../../../config/Language-Ayamonte.de.json"));
const Language_Ayamonte_en_json_1 = __importDefault(require("../../../config/Language-Ayamonte.en.json"));
const Language_Ayamonte_es_json_1 = __importDefault(require("../../../config/Language-Ayamonte.es.json"));
const Language_Boha_de_json_1 = __importDefault(require("../../../config/Language-Boha.de.json"));
const Language_Bourgou_de_json_1 = __importDefault(require("../../../config/Language-Bourgou.de.json"));
const Language_Bourgou_en_json_1 = __importDefault(require("../../../config/Language-Bourgou.en.json"));
const Language_Bourgou_fr_json_1 = __importDefault(require("../../../config/Language-Bourgou.fr.json"));
const Language_Campidoglio_en_json_1 = __importDefault(require("../../../config/Language-Campidoglio.en.json"));
const Language_Castiglione_en_json_1 = __importDefault(require("../../../config/Language-Castiglione.en.json"));
const Language_Default_de_json_1 = __importDefault(require("../../../config/Language-Default.de.json"));
const Language_Default_en_json_1 = __importDefault(require("../../../config/Language-Default.en.json"));
const Language_Elephantine_de_json_1 = __importDefault(require("../../../config/Language-Elephantine.de.json"));
const Language_Elephantine_en_json_1 = __importDefault(require("../../../config/Language-Elephantine.en.json"));
const Language_Gadara_de_json_1 = __importDefault(require("../../../config/Language-Gadara.de.json"));
const Language_Gadara_en_json_1 = __importDefault(require("../../../config/Language-Gadara.en.json"));
const Language_GoebekliTepe_en_json_1 = __importDefault(require("../../../config/Language-GoebekliTepe.en.json"));
const Language_Heliopolis_en_json_1 = __importDefault(require("../../../config/Language-Heliopolis.en.json"));
const Language_Kalapodi_de_json_1 = __importDefault(require("../../../config/Language-Kalapodi.de.json"));
const Language_KarthagoCircus_en_json_1 = __importDefault(require("../../../config/Language-KarthagoCircus.en.json"));
const Language_KarthagoCircus_fr_json_1 = __importDefault(require("../../../config/Language-KarthagoCircus.fr.json"));
const Language_Kephissostal_de_json_1 = __importDefault(require("../../../config/Language-Kephissostal.de.json"));
const Language_KGR_de_json_1 = __importDefault(require("../../../config/Language-KGR.de.json"));
const Language_Meninx_de_json_1 = __importDefault(require("../../../config/Language-Meninx.de.json"));
const Language_Meninx_en_json_1 = __importDefault(require("../../../config/Language-Meninx.en.json"));
const Language_Milet_de_json_1 = __importDefault(require("../../../config/Language-Milet.de.json"));
const Language_Milet_en_json_1 = __importDefault(require("../../../config/Language-Milet.en.json"));
const Language_Milet_fr_json_1 = __importDefault(require("../../../config/Language-Milet.fr.json"));
const Language_MonTur_de_json_1 = __importDefault(require("../../../config/Language-MonTur.de.json"));
const Language_Pergamon_de_json_1 = __importDefault(require("../../../config/Language-Pergamon.de.json"));
const Language_Pergamon_en_json_1 = __importDefault(require("../../../config/Language-Pergamon.en.json"));
const Language_Postumii_de_json_1 = __importDefault(require("../../../config/Language-Postumii.de.json"));
const Language_Postumii_it_json_1 = __importDefault(require("../../../config/Language-Postumii.it.json"));
const Language_Olympia_de_json_1 = __importDefault(require("../../../config/Language-Olympia.de.json"));
const Language_Olympia_en_json_1 = __importDefault(require("../../../config/Language-Olympia.en.json"));
const Language_Selinunt_de_json_1 = __importDefault(require("../../../config/Language-Selinunt.de.json"));
const Language_Selinunt_en_json_1 = __importDefault(require("../../../config/Language-Selinunt.en.json"));
const Language_Selinunt_it_json_1 = __importDefault(require("../../../config/Language-Selinunt.it.json"));
const Language_SelinuntBauteile_de_json_1 = __importDefault(require("../../../config/Language-SelinuntBauteile.de.json"));
const Language_SelinuntBauteile_en_json_1 = __importDefault(require("../../../config/Language-SelinuntBauteile.en.json"));
const Language_SelinuntBauteile_it_json_1 = __importDefault(require("../../../config/Language-SelinuntBauteile.it.json"));
const Language_SelinuntAkropolis_de_json_1 = __importDefault(require("../../../config/Language-SelinuntAkropolis.de.json"));
const Language_SudanHeritage_en_json_1 = __importDefault(require("../../../config/Language-SudanHeritage.en.json"));
const Language_Uruk_en_json_1 = __importDefault(require("../../../config/Language-Uruk.en.json"));
const Forms_json_1 = __importDefault(require("../../../config/Library/Forms.json"));
const Categories_json_1 = __importDefault(require("../../../config/Library/Categories.json"));
const Templates_json_1 = __importDefault(require("../../../config/Library/Templates/Templates.json"));
const Language_de_json_2 = __importDefault(require("../../../config/Library/Templates/Language.de.json"));
const Language_en_json_2 = __importDefault(require("../../../config/Library/Templates/Language.en.json"));
const Language_it_json_2 = __importDefault(require("../../../config/Library/Templates/Language.it.json"));
const Language_tr_json_2 = __importDefault(require("../../../config/Library/Templates/Language.tr.json"));
const Language_uk_json_2 = __importDefault(require("../../../config/Library/Templates/Language.uk.json"));
const Language_de_json_3 = __importDefault(require("../../../config/Library/Language.de.json"));
const Language_en_json_3 = __importDefault(require("../../../config/Library/Language.en.json"));
const Language_es_json_2 = __importDefault(require("../../../config/Library/Language.es.json"));
const Language_it_json_3 = __importDefault(require("../../../config/Library/Language.it.json"));
const Language_fr_json_2 = __importDefault(require("../../../config/Library/Language.fr.json"));
const Language_tr_json_3 = __importDefault(require("../../../config/Library/Language.tr.json"));
const Language_uk_json_3 = __importDefault(require("../../../config/Library/Language.uk.json"));
const Valuelists_json_1 = __importDefault(require("../../../config/Library/Valuelists/Valuelists.json"));
const Language_default_de_json_1 = __importDefault(require("../../../config/Library/Valuelists/Language.default.de.json"));
const Language_default_en_json_1 = __importDefault(require("../../../config/Library/Valuelists/Language.default.en.json"));
const Language_default_it_json_1 = __importDefault(require("../../../config/Library/Valuelists/Language.default.it.json"));
const Language_default_tr_json_1 = __importDefault(require("../../../config/Library/Valuelists/Language.default.tr.json"));
const Language_default_uk_json_1 = __importDefault(require("../../../config/Library/Valuelists/Language.default.uk.json"));
const Language_projects_de_json_1 = __importDefault(require("../../../config/Library/Valuelists/Language.projects.de.json"));
const Language_projects_en_json_1 = __importDefault(require("../../../config/Library/Valuelists/Language.projects.en.json"));
const Language_projects_es_json_1 = __importDefault(require("../../../config/Library/Valuelists/Language.projects.es.json"));
const Language_projects_fr_json_1 = __importDefault(require("../../../config/Library/Valuelists/Language.projects.fr.json"));
const Language_projects_it_json_1 = __importDefault(require("../../../config/Library/Valuelists/Language.projects.it.json"));
const Language_projects_tr_json_1 = __importDefault(require("../../../config/Library/Valuelists/Language.projects.tr.json"));
const PATH_MAP = {
    '/Core/Language.de.json': Language_de_json_1.default,
    '/Core/Language.en.json': Language_en_json_1.default,
    '/Core/Language.es.json': Language_es_json_1.default,
    '/Core/Language.it.json': Language_it_json_1.default,
    '/Core/Language.fr.json': Language_fr_json_1.default,
    '/Core/Language.tr.json': Language_tr_json_1.default,
    '/Core/Language.uk.json': Language_uk_json_1.default,
    '/Library/Categories.json': Categories_json_1.default,
    '/Library/Forms.json': Forms_json_1.default,
    '/Library/Templates/Templates.json': Templates_json_1.default,
    '/Library/Templates/Language.de.json': Language_de_json_2.default,
    '/Library/Templates/Language.en.json': Language_en_json_2.default,
    '/Library/Templates/Language.it.json': Language_it_json_2.default,
    '/Library/Templates/Language.tr.json': Language_tr_json_2.default,
    '/Library/Templates/Language.uk.json': Language_uk_json_2.default,
    '/Library/Language.de.json': Language_de_json_3.default,
    '/Library/Language.en.json': Language_en_json_3.default,
    '/Library/Language.es.json': Language_es_json_2.default,
    '/Library/Language.it.json': Language_it_json_3.default,
    '/Library/Language.fr.json': Language_fr_json_2.default,
    '/Library/Language.tr.json': Language_tr_json_3.default,
    '/Library/Language.uk.json': Language_uk_json_3.default,
    '/Library/Valuelists/Valuelists.json': Valuelists_json_1.default,
    '/Config-Default.json': Config_Default_json_1.default,
    '/Config-AbbirCella.json': Config_AbbirCella_json_1.default,
    '/Config-AlUla.json': Config_AlUla_json_1.default,
    '/Config-Ayamonte.json': Config_Ayamonte_json_1.default,
    '/Config-Boha.json': Config_Boha_json_1.default,
    '/Config-Bourgou.json': Config_Bourgou_json_1.default,
    '/Config-Campidoglio.json': Config_Campidoglio_json_1.default,
    '/Config-Castiglione.json': Config_Castiglione_json_1.default,
    '/Config-Elephantine.json': Config_Elephantine_json_1.default,
    '/Config-Gadara.json': Config_Gadara_json_1.default,
    '/Config-GoebekliTepe.json': Config_GoebekliTepe_json_1.default,
    '/Config-Heliopolis.json': Config_Heliopolis_json_1.default,
    '/Config-Kalapodi.json': Config_Kalapodi_json_1.default,
    '/Config-KarthagoCircus.json': Config_KarthagoCircus_json_1.default,
    '/Config-Kephissostal.json': Config_Kephissostal_json_1.default,
    '/Config-KGR.json': Config_KGR_json_1.default,
    '/Config-Meninx.json': Config_Meninx_json_1.default,
    '/Config-Milet.json': Config_Milet_json_1.default,
    '/Config-MonTur.json': Config_MonTur_json_1.default,
    '/Config-Olympia.json': Config_Olympia_json_1.default,
    '/Config-Pergamon.json': Config_Pergamon_json_1.default,
    '/Config-Postumii.json': Config_Postumii_json_1.default,
    '/Config-Selinunt.json': Config_Selinunt_json_1.default,
    '/Config-SelinuntAkropolis.json': Config_SelinuntAkropolis_json_1.default,
    '/Config-SelinuntBauteile.json': Config_SelinuntBauteile_json_1.default,
    '/Config-SudanHeritage.json': Config_SudanHeritage_json_1.default,
    '/Config-Uruk.json': Config_Uruk_json_1.default
};
const VALUELISTS_LANGUAGES = {
    default: {
        de: Language_default_de_json_1.default,
        en: Language_default_en_json_1.default,
        it: Language_default_it_json_1.default,
        tr: Language_default_tr_json_1.default,
        uk: Language_default_uk_json_1.default
    },
    projects: {
        de: Language_projects_de_json_1.default,
        en: Language_projects_en_json_1.default,
        es: Language_projects_es_json_1.default,
        fr: Language_projects_fr_json_1.default,
        it: Language_projects_it_json_1.default,
        tr: Language_projects_tr_json_1.default,
    }
};
const CUSTOM_LANGUAGE_CONFIGURATIONS = {
    'AbbirCella': { en: Language_AbbirCella_en_json_1.default, fr: Language_AbbirCella_fr_json_1.default },
    'AlUla': { en: Language_AlUla_en_json_1.default },
    'Ayamonte': { de: Language_Ayamonte_de_json_1.default, en: Language_Ayamonte_en_json_1.default, es: Language_Ayamonte_es_json_1.default },
    'Boha': { de: Language_Boha_de_json_1.default },
    'Bourgou': { de: Language_Bourgou_de_json_1.default, en: Language_Bourgou_en_json_1.default, fr: Language_Bourgou_fr_json_1.default },
    'Campidoglio': { en: Language_Campidoglio_en_json_1.default },
    'Castiglione': { en: Language_Castiglione_en_json_1.default },
    'Default': { de: Language_Default_de_json_1.default, en: Language_Default_en_json_1.default },
    'Elephantine': { de: Language_Elephantine_de_json_1.default, en: Language_Elephantine_en_json_1.default },
    'Gadara': { de: Language_Gadara_de_json_1.default, en: Language_Gadara_en_json_1.default },
    'GoebekliTepe': { en: Language_GoebekliTepe_en_json_1.default },
    'Heliopolis': { en: Language_Heliopolis_en_json_1.default },
    'Kalapodi': { de: Language_Kalapodi_de_json_1.default },
    'KarthagoCircus': { en: Language_KarthagoCircus_en_json_1.default, fr: Language_KarthagoCircus_fr_json_1.default },
    'Kephissostal': { de: Language_Kephissostal_de_json_1.default },
    'KGR': { de: Language_KGR_de_json_1.default },
    'Meninx': { de: Language_Meninx_de_json_1.default, en: Language_Meninx_en_json_1.default },
    'Milet': { de: Language_Milet_de_json_1.default, en: Language_Milet_en_json_1.default, fr: Language_Milet_fr_json_1.default },
    'MonTur': { de: Language_MonTur_de_json_1.default },
    'Olympia': { de: Language_Olympia_de_json_1.default, en: Language_Olympia_en_json_1.default },
    'Pergamon': { de: Language_Pergamon_de_json_1.default, en: Language_Pergamon_en_json_1.default },
    'Postumii': { de: Language_Postumii_de_json_1.default, it: Language_Postumii_it_json_1.default },
    'Selinunt': { de: Language_Selinunt_de_json_1.default, en: Language_Selinunt_en_json_1.default, it: Language_Selinunt_it_json_1.default },
    'SelinuntBauteile': { de: Language_SelinuntBauteile_de_json_1.default, en: Language_SelinuntBauteile_en_json_1.default, it: Language_SelinuntBauteile_it_json_1.default },
    'SelinuntAkropolis': { de: Language_SelinuntAkropolis_de_json_1.default },
    'SudanHeritage': { en: Language_SudanHeritage_en_json_1.default },
    'Uruk': { en: Language_Uruk_en_json_1.default }
};
class ConfigReader {
    constructor() {
        this.exists = (path) => (path in PATH_MAP);
        this.read = (path) => tsfun_1.clone(PATH_MAP[path]);
        this.getCustomLanguageConfigurations = (projectPrefix) => CUSTOM_LANGUAGE_CONFIGURATIONS[projectPrefix];
        this.getValuelistsLanguages = () => VALUELISTS_LANGUAGES;
    }
}
exports.ConfigReader = ConfigReader;
//# sourceMappingURL=config-reader.js.map