/**
 * @author Daniel de Oliveira
 */
export declare module ConfigurationErrors {
    const INVALID_JSON = "configuration/error/invalidJson";
    const INVALID_CONFIG_MISSINGVALUELIST = "configuration/error/missingValuelist";
    const INVALID_CONFIG_MISSINGFIELDNAME = "configuration/error/missingFieldName";
    const INVALID_CONFIG_MISSINGRELATIONCATEGORY = "configuration/error/missingRelationCategory";
    const INVALID_CONFIG_PARENT_NOT_DEFINED = "configuration/fields/custom/parentNotDefined";
    const INVALID_CONFIG_INVALID_GROUPS_CONFIGURATION = "configuration/error/invalidGroupsConfiguration";
    const UNKNOWN_CATEGORY_ERROR = "configuration/error/unknownCategory";
    const TRYING_TO_SUBTYPE_A_NON_EXTENDABLE_CATEGORY = "configuration/fields/custom/tryingToSubtypeANonExtendableCategory";
    const COMMON_FIELD_VALUELIST_FROM_PROJECTDOC_NOT_TO_BE_OVERWRITTEN = "configuration/fields/custom/commonFieldValuelistFromProjectDocNotToBeOverwritten";
    const DUPLICATION_IN_SELECTION = "configuration/buildProjectCategories/duplicationInSelection";
    const MUST_HAVE_PARENT = "configuration/buildProjectCategories/mustHaveParent";
    const MISSING_CATEGORY_PROPERTY = "configuration/buildProjectCategories/missingCategoryProperty";
    const ILLEGAL_CUSTOM_FORM_PROPERTY = "configuration/buildProjectCategories/illegalCustomFormProperty";
    const MISSING_FORM_PROPERTY = "configuration/buildProjectCategories/missingFormProperty";
    const MISSING_FIELD_PROPERTY = "configuration/buildProjectCategories/missingFieldProperty";
    const CATEGORY_NAME_NOT_FOUND = "configuration/buildProjectCategories/categoryNameNotFound";
    const ILLEGAL_FIELD_INPUT_TYPE = "configuration/buildProjectCategories/illegalFieldInputType";
    const ILLEGAL_FIELD_PROPERTY = "configuration/buildProjectCategories/illegalFieldProperty";
    const NO_VALUELIST_PROVIDED = "configuration/buildProjectCategories/noValuelistProvided";
    const NO_MINIMAL_FORM_PROVIDED = "configuration/buildProjectCategories/noMinimalFormProvided";
    const FIELD_NOT_FOUND = "configuration/buildProjectCategories/fieldNotFound";
}
