"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigurationErrors = void 0;
/**
 * @author Daniel de Oliveira
 */
var ConfigurationErrors;
(function (ConfigurationErrors) {
    ConfigurationErrors.INVALID_JSON = 'configuration/error/invalidJson';
    ConfigurationErrors.INVALID_CONFIG_MISSINGVALUELIST = 'configuration/error/missingValuelist';
    ConfigurationErrors.INVALID_CONFIG_MISSINGFIELDNAME = 'configuration/error/missingFieldName';
    ConfigurationErrors.INVALID_CONFIG_MISSINGRELATIONCATEGORY = 'configuration/error/missingRelationCategory';
    ConfigurationErrors.INVALID_CONFIG_PARENT_NOT_DEFINED = 'configuration/fields/custom/parentNotDefined';
    ConfigurationErrors.INVALID_CONFIG_INVALID_GROUPS_CONFIGURATION = 'configuration/error/invalidGroupsConfiguration';
    ConfigurationErrors.UNKNOWN_CATEGORY_ERROR = 'configuration/error/unknownCategory';
    ConfigurationErrors.TRYING_TO_SUBTYPE_A_NON_EXTENDABLE_CATEGORY = 'configuration/fields/custom/tryingToSubtypeANonExtendableCategory';
    ConfigurationErrors.COMMON_FIELD_VALUELIST_FROM_PROJECTDOC_NOT_TO_BE_OVERWRITTEN = 'configuration/fields/custom/commonFieldValuelistFromProjectDocNotToBeOverwritten';
    // buildProjectCategories
    ConfigurationErrors.DUPLICATION_IN_SELECTION = 'configuration/buildProjectCategories/duplicationInSelection';
    ConfigurationErrors.MUST_HAVE_PARENT = 'configuration/buildProjectCategories/mustHaveParent';
    ConfigurationErrors.MISSING_CATEGORY_PROPERTY = 'configuration/buildProjectCategories/missingCategoryProperty';
    ConfigurationErrors.ILLEGAL_CUSTOM_FORM_PROPERTY = 'configuration/buildProjectCategories/illegalCustomFormProperty';
    ConfigurationErrors.MISSING_FORM_PROPERTY = 'configuration/buildProjectCategories/missingFormProperty';
    ConfigurationErrors.MISSING_FIELD_PROPERTY = 'configuration/buildProjectCategories/missingFieldProperty';
    ConfigurationErrors.CATEGORY_NAME_NOT_FOUND = 'configuration/buildProjectCategories/categoryNameNotFound';
    ConfigurationErrors.ILLEGAL_FIELD_INPUT_TYPE = 'configuration/buildProjectCategories/illegalFieldInputType';
    ConfigurationErrors.ILLEGAL_FIELD_PROPERTY = 'configuration/buildProjectCategories/illegalFieldProperty';
    ConfigurationErrors.NO_VALUELIST_PROVIDED = 'configuration/buildProjectCategories/noValuelistProvided';
    ConfigurationErrors.NO_MINIMAL_FORM_PROVIDED = 'configuration/buildProjectCategories/noMinimalFormProvided';
    ConfigurationErrors.FIELD_NOT_FOUND = 'configuration/buildProjectCategories/fieldNotFound';
})(ConfigurationErrors = exports.ConfigurationErrors || (exports.ConfigurationErrors = {}));
//# sourceMappingURL=configuration-errors.js.map