import { Map } from 'tsfun';
import { Field } from '../../model/configuration/field';
import { Relation } from '../../model/configuration/relation';
import { TransientCategoryDefinition } from '../model/category/transient-category-definition';
import { LibraryFormDefinition } from '../model/form/library-form-definition';
import { TransientFormDefinition } from '../model/form/transient-form-definition';
/**
 *
 * @author Thomas Kleinke
 */
export declare function getAvailableForms(categories: Map<TransientCategoryDefinition>, libraryForms: Map<LibraryFormDefinition>, builtInFields: Map<Field>, commonFields: Map<Field>, relations: Array<Relation>, selectedForms: string[]): Map<TransientFormDefinition>;
