"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getParentForm = void 0;
/**
 * @@author Thomas Kleinke
 */
function getParentForm(form, forms, selectedForms) {
    if (!form.parent)
        return;
    return forms.find(form2 => {
        return form2.categoryName === form.parent && selectedForms.includes(form2.name);
    });
}
exports.getParentForm = getParentForm;
//# sourceMappingURL=get-parent-form.js.map