"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.iterateOverFields = exports.getDefinedParents = void 0;
const tsfun_1 = require("tsfun");
exports.getDefinedParents = tsfun_1.compose(Object.values, tsfun_1.map(tsfun_1.to('parent')), tsfun_1.filter(tsfun_1.isDefined));
function iterateOverFields(categories, f) {
    tsfun_1.keysValues(categories).forEach(([categoryName, category]) => {
        tsfun_1.keysValues(category.fields).forEach(([fieldName, field]) => {
            f(categoryName, category, fieldName, field);
        });
    });
}
exports.iterateOverFields = iterateOverFields;
//# sourceMappingURL=helpers.js.map