import { Map } from 'tsfun';
import { TransientFormDefinition } from '../model/form/transient-form-definition';
import { CustomFormDefinition } from '../model/form/custom-form-definition';
import { TransientCategoryDefinition } from '../model/category/transient-category-definition';
import { Relation } from '../../model/configuration/relation';
import { Field } from '../../model/configuration/field';
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export declare function mergeWithCustomForms(customForms: Map<CustomFormDefinition>, categories: Map<TransientCategoryDefinition>, builtInFields: Map<Field>, commonFields: Map<Field>, relations: Array<Relation>, selectedForms: string[]): (forms: Map<TransientFormDefinition>) => Map<TransientFormDefinition>;
