import { Map } from 'tsfun';
import { Relation } from '../model/configuration/relation';
import { BuiltInCategoryDefinition } from './model/category/built-in-category-definition';
import { BuiltInFieldDefinition } from './model/field/built-in-field-definition';
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export declare class BuiltInConfiguration {
    commonFields: Map<BuiltInFieldDefinition>;
    builtInCategories: Map<BuiltInCategoryDefinition>;
    builtInFields: Map<BuiltInFieldDefinition>;
    builtInRelations: Array<Relation>;
    constructor(customConfigurationName: string);
    private addProjectSpecificBuiltinConfiguration;
}
