import { Forest } from '../tools/forest';
import { AppConfigurator } from './app-configurator';
import { ConfigurationDocument } from '../model/configuration-document';
import { CategoryForm } from '../model/configuration/category-form';
/**
 * @author Thomas Kleinke
 */
export declare class ConfigurationSerializer {
    private appConfigurator;
    constructor(appConfigurator: AppConfigurator);
    getConfigurationAsJSON(projectIdentifier: string, configurationDocument: ConfigurationDocument): Promise<{
        projectLanguages: string[];
        categories: Forest<CategoryForm>;
    }>;
    private getCategories;
    private getLanguages;
}
