import { Map } from 'tsfun';
import { BaseFormDefinition } from '../form/base-form-definition';
import { BaseFieldDefinition } from '../field/base-field-definition';
export interface BaseCategoryDefinition {
    fields: Map<BaseFieldDefinition>;
    minimalForm?: BaseFormDefinition;
    color?: string;
    parent?: string;
}
export declare module BaseCategoryDefinition {
    const FIELDS = "fields";
    const MINIMAL_FORM = "minimalForm";
}
