import { Document } from '../model/document';
/**
 * @author Daniel de Oliveira
 */
export declare class DocumentCache {
    protected _: {
        [resourceId: string]: Document;
    };
    set(document: Document): Document;
    get(resourceId: string): Document;
    getAll(): Array<Document>;
    remove(resourceId: any): void;
    reassign(document: Document): Document;
    reset(): void;
}
