import { Document } from '../../model/document';
/**
 * @author Thomas Kleinke
 * @author Daniel de Oliveira
 */
export declare module ChangeHistoryMerge {
    /**
     * Merges the change histories of two documents.
     *
     * Only the mainDocument is changed. Its change history merges with the change history (created & modified actions)
     * of the secondDocument.
     */
    function mergeChangeHistories(mainDocument: Document, secondDocument: Document): void;
}
