"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyncStatus = void 0;
var SyncStatus;
(function (SyncStatus) {
    SyncStatus["Offline"] = "OFFLINE";
    SyncStatus["Connecting"] = "CONNECTING";
    SyncStatus["Pushing"] = "PUSHING";
    SyncStatus["Pulling"] = "PULLING";
    SyncStatus["InSync"] = "IN_SYNC";
    SyncStatus["Error"] = "ERROR";
    SyncStatus["AuthenticationError"] = "AUTHENTICATION_ERROR";
    SyncStatus["AuthorizationError"] = "AUTHORIZATION_ERROR";
})(SyncStatus = exports.SyncStatus || (exports.SyncStatus = {}));
(function (SyncStatus) {
    function isSyncing(status) {
        return status === SyncStatus.Connecting
            || status === SyncStatus.Pushing
            || status === SyncStatus.Pulling;
    }
    SyncStatus.isSyncing = isSyncing;
})(SyncStatus = exports.SyncStatus || (exports.SyncStatus = {}));
//# sourceMappingURL=sync-status.js.map