"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFieldsToIndex = void 0;
const category_form_1 = require("../model/configuration/category-form");
function getFieldsToIndex(categoriesMap, categoryName) {
    return !categoriesMap[categoryName]
        ? []
        : category_form_1.CategoryForm.getFields(categoriesMap[categoryName])
            .filter(field => field.fulltextIndexed);
}
exports.getFieldsToIndex = getFieldsToIndex;
//# sourceMappingURL=get-fields-to-index.js.map