import { Map } from 'tsfun';
/**
 * source: ['c','d']
 * target: {}
 * f: a => [a, a + a]
 * ->
 * { c: 'cc', d: 'dd'}
 */
export declare function assocReduce<T, A>(f: (a: A, i?: number | string) => [number, T], target: Array<T>): (source: Array<A> | Map<A>) => Array<T>;
export declare function assocReduce<T, A>(f: (a: A, i?: number | string) => [string, T], target: Map<T>): (source: Array<A> | Map<A>) => Map<T>;
