import { Path } from 'tsfun';
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 *
 * In-place modifications of structs (nested arrays or objects, as per {} and [])
 */
export declare namespace InPlace {
    function setOn(object: any, path_: Path): (value: any) => void;
    function removeFrom(object: any, path_: Path): void;
    /**
     * if o has not already a value at path, it sets it to alternative
     */
    function takeOrMake<T>(o: T, path: Path, alternative: any): void;
    function moveInArray<T>(array: Array<T>, originalIndex: number, targetIndex: number): void;
}
