import { Named, Name } from './named';
import { Forest } from './forest';
export declare function findInNamedForest<N extends Named>(match: Name, t: Forest<N>): N | undefined;
export declare function filterTrees<N extends Named>(t: Forest<N>, match: Name, ...moreMatches: Name[]): Forest<N>;
export declare function filterTrees<N extends Named>(match: Name, ...moreMatches: Name[]): (t: Forest<N>) => Forest<N>;
export declare function removeTrees<N extends Named>(t: Forest<N>, match: Name, ...moreMatches: Name[]): Forest<N>;
export declare function removeTrees<N extends Named>(match: Name, ...moreMatches: Name[]): (t: Forest<N>) => Forest<N>;
export declare function isTopLevelItemOrChildThereof(t: Forest<Named>, match: Name, firstLevelItem: Name, ...moreFirstLevelItems: Name[]): boolean;
