/**
 * @author Daniel de Oliveira
 */
export declare namespace StringUtils {
    const first: (s: string) => string;
    const toLowerCase: (s: string) => string;
    const toUpperCase: (s: string) => string;
    const append: (insert: string) => (to: string) => string;
    const prepend: (insert: string) => (to: string) => string;
    const stringify: (o: any) => string;
    const startsWith: (what: string) => (source: string) => boolean;
    const endsWith: (what: string) => (source: string) => boolean;
    const size: (s: string) => number;
    const split: (pattern: RegExp | string) => (content: string) => string[];
    const join: (pattern: string) => <A>(content: A[]) => string;
    const toArray: (s: string) => string[];
    function prepareStringForHTML(stringValue: string): string;
    function parseInt(s: string): number | undefined;
}
