import { Map, Path } from 'tsfun';
/**
 * path: 'd.e'
 * as: [{ d: { e: 17 }}, { d: { e: 19 }}]
 * ->
 * { 17: { d: { e: 17 }}, 19: { d: { e: 19 }}}
 */
export declare function makeLookup(path: Path): <A>(as: Array<A>) => Map<A>;
export declare function makeLookup<A>(path: Path, as: Array<A>): Map<A>;
export declare function addKeyAsProp<A extends Map<any>>(prop: string): <T>(as: T) => T extends (A extends infer C ? C : never)[] ? Map<any>[] : T extends Map<A extends infer C_1 ? C_1 : never> ? Map<Map<any>> : T extends any[] ? void[] : T extends Map<any> ? void[] : never;
export declare function mapToArray(prop: string): (_: unknown) => any[];
