"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapToArray = exports.addKeyAsProp = exports.makeLookup = void 0;
const tsfun_1 = require("tsfun");
const assoc_reduce_1 = require("./assoc-reduce");
function makeLookup(path, as) {
    const $ = (as) => assoc_reduce_1.assocReduce((a) => [tsfun_1.to(path)(a), a], {})(as);
    return as !== undefined
        ? $(as)
        : $;
}
exports.makeLookup = makeLookup;
function addKeyAsProp(prop) {
    return tsfun_1.map((a, key) => tsfun_1.assoc(prop, key)(a));
}
exports.addKeyAsProp = addKeyAsProp;
function mapToArray(prop) {
    return tsfun_1.compose(addKeyAsProp(prop), Object.values);
}
exports.mapToArray = mapToArray;
//# sourceMappingURL=transformers.js.map