import { Document } from '../model/document';
import { Resource } from '../model/resource';
import { Valuelist } from '../model/configuration/valuelist';
import { Field } from '../model/configuration/field';
import { ProjectConfiguration } from '../services';
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export declare module ValuelistUtil {
    function getValuesNotIncludedInValuelist(fieldContent: any, valuelist: Valuelist): string[] | undefined;
    function getValuelist(field: Field, projectDocument: Document, projectConfiguration: ProjectConfiguration, parentResource?: Resource): Valuelist;
    function getValuelistFromProjectField(fieldName: string, projectDocument: Document): Valuelist;
}
