"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const relation_1 = require("../../../src/model/configuration/relation");
describe('Relation', () => {
    it('make', () => {
        const inverseRelationsMap = relation_1.Relation.makeInverseRelationsMap([
            { name: 'a', inverse: 'b', domain: [], range: [], editable: false, inputType: 'relation' },
            { name: 'c', domain: [], range: [], editable: false, inputType: 'relation' }
        ]);
        expect(inverseRelationsMap).toEqual({
            a: 'b',
            c: undefined
        });
        // let's make sure the keys are there, even if the values are undefined
        expect(Object.keys(inverseRelationsMap)).toEqual(['a', 'c']);
    });
});
//# sourceMappingURL=relation.spec.js.map