"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const transformers_1 = require("../../src/tools/transformers");
describe('makeLookup', () => {
    it('uncurried', () => {
        expect(transformers_1.makeLookup(['d', 'e'])([{ d: { e: 17 } }, { d: { e: 19 } }])).toEqual({
            17: { d: { e: 17 } },
            19: { d: { e: 19 } }
        });
    });
    it('curried', () => {
        expect(transformers_1.makeLookup(['d', 'e'])([{ d: { e: 17 } }, { d: { e: 19 } }])).toEqual({
            17: { d: { e: 17 } },
            19: { d: { e: 19 } }
        });
    });
});
//# sourceMappingURL=make-lookup.spec.js.map