import { ConfigurationDocument } from '../model';
import { ConfigLoader } from './boot/config-loader';
import { ProjectConfiguration } from '../services/project-configuration';
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export declare class AppConfigurator {
    private configLoader;
    constructor(configLoader: ConfigLoader);
    go(customConfigurationName: string | undefined, configurationDocument: ConfigurationDocument, includeAllRelations?: boolean): Promise<ProjectConfiguration>;
}
