import { Map } from 'tsfun';
import { Field } from '../../model/configuration/field';
import { Relation } from '../../model/configuration/relation';
import { TransientCategoryDefinition } from '../model/category/transient-category-definition';
import { CustomFormDefinition } from '../model/form/custom-form-definition';
import { TransientFormDefinition } from '../model/form/transient-form-definition';
/**
 *
 * @author Thomas Kleinke
 */
export declare function addFieldsToForm(form: TransientFormDefinition, categories: Map<TransientCategoryDefinition>, builtInFields: Map<Field>, commonFields: Map<Field>, relations: Array<Relation>, parentForm?: CustomFormDefinition, extendedForm?: TransientFormDefinition): TransientFormDefinition;
