import { Map } from 'tsfun';
import { CategoryForm } from '../../model/configuration/category-form';
import { Relation } from '../../model/configuration/relation';
import { TransientFormDefinition } from '../model/form/transient-form-definition';
import { Forest } from '../../tools/forest';
import { TransientCategoryDefinition } from '../model/category/transient-category-definition';
/**
 * @author Thomas Kleinke
 * @author Daniel de Oliveira
 * @author Sebastian Cuy
 */
export declare const makeCategoryForest: (relations: Array<Relation>, categories: Map<TransientCategoryDefinition>, selectedParentForms?: string[], includeAllRelations?: boolean) => (forms: Map<TransientFormDefinition>) => Forest<CategoryForm>;
