import { Map } from 'tsfun';
import { BuiltInCategoryDefinition } from '../model/category/built-in-category-definition';
import { LibraryCategoryDefinition } from '../model/category/library-category-definition';
import { TransientCategoryDefinition } from '../model/category/transient-category-definition';
/**
 * @author Thomas Kleinke
 */
export declare function mergeBuiltInWithLibraryCategories(builtInCategories: Map<BuiltInCategoryDefinition>, libraryCategories: Map<LibraryCategoryDefinition>): Map<TransientCategoryDefinition>;
