import { Field } from '../../../model/configuration/field';
import { Valuelists } from '../../../model/configuration/valuelist';
export interface BaseFormDefinition {
    groups?: Array<BaseGroupDefinition>;
    valuelists?: Valuelists;
    source?: Field.SourceType;
    references?: string[];
}
export declare module BaseFormDefinition {
    const GROUPS = "groups";
}
export interface BaseGroupDefinition {
    name: string;
    fields: string[];
}
