"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageConfiguration = void 0;
/**
 * @author Thomas Kleinke
 */
var LanguageConfiguration;
(function (LanguageConfiguration) {
    function getI18nString(languageConfigurations, section, subSectionName, fields, textType, categoryOrFormName, subfieldName) {
        return Object.keys(languageConfigurations).reduce((labels, language) => {
            var _a, _b;
            const configuration = languageConfigurations[language].find(config => {
                var _a, _b, _c, _d, _e, _f, _g, _h, _j;
                const fieldConfiguration = fields
                    ? subfieldName
                        ? (_e = (_d = (_c = (_b = (_a = config[section]) === null || _a === void 0 ? void 0 : _a[categoryOrFormName]) === null || _b === void 0 ? void 0 : _b.fields) === null || _c === void 0 ? void 0 : _c[subSectionName]) === null || _d === void 0 ? void 0 : _d.subfields) === null || _e === void 0 ? void 0 : _e[subfieldName]
                        : (_h = (_g = (_f = config[section]) === null || _f === void 0 ? void 0 : _f[categoryOrFormName]) === null || _g === void 0 ? void 0 : _g.fields) === null || _h === void 0 ? void 0 : _h[subSectionName]
                    : (_j = config[section]) === null || _j === void 0 ? void 0 : _j[subSectionName];
                return fieldConfiguration && (!textType || fieldConfiguration[textType]);
            });
            if (configuration) {
                const element = fields
                    ? subfieldName
                        ? (_a = configuration[section]) === null || _a === void 0 ? void 0 : _a[categoryOrFormName].fields[subSectionName].subfields[subfieldName]
                        : (_b = configuration[section]) === null || _b === void 0 ? void 0 : _b[categoryOrFormName].fields[subSectionName]
                    : configuration[section][subSectionName];
                labels[language] = textType ? element[textType] : element;
            }
            return labels;
        }, {});
    }
    LanguageConfiguration.getI18nString = getI18nString;
})(LanguageConfiguration = exports.LanguageConfiguration || (exports.LanguageConfiguration = {}));
//# sourceMappingURL=language-configuration.js.map