/// <reference types="pouchdb-find" />
/// <reference types="pouchdb-core" />
/// <reference types="pouchdb-mapreduce" />
/// <reference types="pouchdb-replication" />
import { Document, NewDocument } from '../../model/document';
export declare class SampleDataLoaderBase {
    private locale;
    constructor(locale: string);
    go(db: PouchDB.Database, project: string): Promise<void>;
    protected loadSampleDocuments(db: any): Promise<any>;
    protected static createDocument(document: NewDocument, db: PouchDB.Database): Document;
}
