export declare enum SyncStatus {
    Offline = "OFFLINE",
    Connecting = "CONNECTING",
    Pushing = "PUSHING",
    Pulling = "PULLING",
    InSync = "IN_SYNC",
    Error = "ERROR",
    AuthenticationError = "AUTHENTICATION_ERROR",
    AuthorizationError = "AUTHORIZATION_ERROR"
}
export declare module SyncStatus {
    function isSyncing(status: SyncStatus): boolean;
}
