import { Document } from '../model/document';
export declare type TypeName = string;
export interface IndexItem {
    id: string;
    identifier: string;
}
export interface TypeResourceIndexItem extends IndexItem {
    instances: {
        [resourceId: string]: TypeName;
    };
}
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export declare class IndexItem {
    private constructor();
    static from(document: Document, showWarnings?: boolean): IndexItem | undefined;
}
