/// <reference types="pouchdb-find" />
/// <reference types="pouchdb-core" />
/// <reference types="pouchdb-mapreduce" />
/// <reference types="pouchdb-replication" />
import { IndexFacade } from './index-facade';
import { DocumentConverter, DocumentCache } from '../datastore';
import { ProjectConfiguration } from '../services';
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 * @author Sebastian Cuy
 */
export declare module Indexer {
    function reindex(indexFacade: IndexFacade, db: PouchDB.Database, documentCache: DocumentCache, converter: DocumentConverter, projectConfiguration: ProjectConfiguration, keepCachedInstances: boolean, setProgress?: (progress: number) => Promise<void>, setIndexing?: () => Promise<void>, setError?: (error: string) => Promise<void>): Promise<void>;
}
