import { Resource } from '../model/resource';
import { Query } from '../model/query';
import { ConstraintIndex } from './constraint-index';
import { FulltextIndex } from './fulltext-index';
/**
 * @author Daniel de Oliveira
 *
 * Runtime info: Skips the fulltime query if query is empty and constraint search delivered results
 */
export declare function performQuery(query: Query, constraintIndex: ConstraintIndex, fulltextIndex: FulltextIndex): Array<Resource.Id>;
