"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Group = exports.Groups = void 0;
var Groups;
(function (Groups) {
    Groups.STEM = 'stem';
    Groups.DIMENSION = 'dimension';
    Groups.TIME = 'time';
    Groups.POSITION = 'position';
    Groups.IDENTIFICATION = 'identification';
    Groups.INVENTORY = 'inventory';
    Groups.PROPERTIES = 'properties';
    Groups.HIERARCHY = 'hierarchy';
    Groups.STRATIGRAPHY = 'stratigraphy';
    Groups.OTHER = 'other';
})(Groups = exports.Groups || (exports.Groups = {}));
var Group;
(function (Group) {
    Group.FIELDS = 'fields';
    function create(name) {
        return { name: name, fields: [] };
    }
    Group.create = create;
    function toFields(group) {
        return group.fields;
    }
    Group.toFields = toFields;
})(Group = exports.Group || (exports.Group = {}));
//# sourceMappingURL=group.js.map