import { Dating } from './dating';
import { FieldResource } from './field-resource';
import { OptionalRange } from './optional-range';
export interface FeatureResource extends FieldResource {
    relations: FeatureResource.Relations;
    period?: OptionalRange<string>;
    dating: Dating;
}
export declare namespace FeatureResource {
    const PERIOD = "period";
    interface Relations extends FieldResource.Relations {
        isContemporaryWith: string[];
        isAfter: string[];
        isBefore: string[];
    }
}
