import { Resource } from './resource';
import { FieldGeometry } from './field-geometry';
import { I18N } from '../tools';
export declare module FieldRelations {
    const __UNUSED__ = 0;
}
export interface FieldResource extends Resource {
    shortDescription: I18N.String | string;
    geometry?: FieldGeometry;
    relations: FieldResource.Relations;
    scanCode?: string;
}
export declare module FieldResource {
    const SHORTDESCRIPTION = "shortDescription";
    const GEOMETRY = "geometry";
    const RELATIONS = "relations";
    const SCANCODE = "scanCode";
    interface Relations extends Resource.Relations {
        isRecordedIn: string[];
    }
}
