import { Predicate } from 'tsfun';
export interface OptionalRange<T> {
    value: T;
    endValue?: T;
}
export declare module OptionalRange {
    const VALUE = "value";
    const ENDVALUE = "endValue";
    type Translations = 'from' | 'to';
    function buildIsOptionalRange<T>(isTValid: Predicate<T>): (optionalRange: any) => optionalRange is OptionalRange<T>;
    function isValid<T>(optionalRange: OptionalRange<T>): boolean;
    function generateLabel<T>(optionalRange: OptionalRange<T>, getTranslation: (term: OptionalRange.Translations) => string, getLabel: (t: T) => string): string;
}
