import { Map, Pair } from 'tsfun';
/**
 * @author Daniel de Oliveira
 */
export declare type Lookup<T> = {
    [_: string]: T;
};
export declare function typeOf(v: any): "string" | "number" | "bigint" | "boolean" | "symbol" | "undefined" | "object" | "function";
/**
 * to be used with reduce
 */
export declare function withDissoc(struct: any, path: string): any;
/**
 * to be used with reduce
 */
export declare const concatIf: (f: (_: string) => boolean) => (acc: string[], val: string) => string[];
export declare function toPair<T>(k1: string, k2: string): (o: Map<T>) => Pair<T, T>;
export declare const intoObj: <T>(keyName: string, valName: string) => (object: Map<T>, item: Map<T>) => Map<T>;
export declare const base64Encode: (input: string) => string;
