"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const model_1 = require("../../src/model");
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
describe('Category', () => {
    it('getFields', () => {
        const category = {
            groups: [{
                    name: 'stem',
                    fields: [{
                            name: 'fieldA',
                            label: 'Field A',
                            inputType: 'text'
                        }]
                }]
        };
        const fields = model_1.CategoryForm.getFields(category);
        expect(fields[0].name).toEqual('fieldA');
    });
});
//# sourceMappingURL=category-form.spec.js.map