"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const in_place_1 = require("../../../src/tools/in-place");
describe('takeOrMake', () => {
    it('takeOrMake makes', () => {
        const obj = {};
        in_place_1.InPlace.takeOrMake(obj, ['a', 'b', 'c'], []);
        expect(obj['a']['b']['c']).toEqual([]);
    });
    it('takeOrMake takes', () => {
        const obj = { a: { b: { c: 'a' } } };
        in_place_1.InPlace.takeOrMake(obj, ['a', 'b', 'c'], []);
        expect(obj['a']['b']['c']).toEqual('a');
    });
});
//# sourceMappingURL=take-or-make.spec.js.map